stringprep-1.0.0: Implements the "StringPrep" algorithm

Safe Haskell | None
Language | Haskell98

Text.StringPrep

# Documentation

data StringPrepProfile Source #

Constructors

Profile |

Fields

- maps :: [Map]
- shouldNormalize :: Bool
- prohibited :: [Prohibited]
- shouldCheckBidi :: Bool

data Range Source #

#### Instances

Instances details

Show Range Source # |
Instance details Defined in Text.CharRanges Methods showsPrec :: Int -> Range -> ShowS Source # show :: Range -> String Source # showList :: [Range] -> ShowS Source #
Eq Range Source # |
Instance details Defined in Text.CharRanges Methods (==) :: Range -> Range -> Bool Source # (/=) :: Range -> Range -> Bool Source #

type Map = Char -> Text Source #

range :: Char -> Char -> Range Source #

single :: Char -> Range Source #

runStringPrep :: StringPrepProfile -> Text -> Maybe Text Source #

a1 :: [Range] Source #

b1 :: Map Source #

b2 :: Map Source #

c11 :: [Range] Source #

c12 :: [Range] Source #

c21 :: [Range] Source #

c22 :: [Range] Source #

c3 :: [Range] Source #

c4 :: [Range] Source #

c5 :: [Range] Source #

c6 :: [Range] Source #

c7 :: [Range] Source #

c8 :: [Range] Source #

c9 :: [Range] Source #